kind: Service
apiVersion: v1
metadata:
    # < name of the service
    name: plex-tcp
    # < namespace where to place service
    namespace: home-stuff
    annotations:
        # < annotation name to combine the Service IP, make sure it's same name as in the service UDP yaml
        metallb.universe.tf/allow-shared-ip: internal
spec:
    selector:
        #ENC[AES256_GCM,data:LSAi5xVFGev9jP9UqwALoIufBFzsqz1sN6FSgKP+tuUY7AhW4q4RN1vD4KU2iEooMiFjru4IpYTymIpF8ZPaOihttAjMJzdL1Q==,iv:wz57bf/NjQv31fZplsCN+evLA8eOtZVLc6a4zHvvcLY=,tag:M+m9nYcMwcA9b4FkJm0DnA==,type:comment]
        app: ENC[AES256_GCM,data:zp6XilGDVsU0YA==,iv:io3Csfn3h7eNzXAIage9FZc9hzqXHYd3BUwN5qn/ExY=,tag:IjcVC58BL8ZLTV3qICDmvA==,type:str]
    ports:
        - ENC[AES256_GCM,data:+oufCWUj7YnlETKSs1DJ23slvEu0mXGY+OtHWgtVh1c5Oxn6kYxK8r8HFjE=,iv:N24WKw1GatXQIrTqq4wW7zj6cikrR3Q//5DIkdPxo1E=,tag:+jVCzzhW6TsMj+r7vxc6fw==,type:comment]
        - port: ENC[AES256_GCM,data:/GkBCmM=,iv:NNWA7/1L36ZlBDnTTtng+fckPop/OFeHIIQg9QMwf98=,tag:J59PpeE1rYAPsSmPIWOysg==,type:int]
          #ENC[AES256_GCM,data:W4dVi4UTw42vci+1j5wB4agYxuQ7v/1X98fmeoXRVHWGswcsteMRkBsnm/SA,iv:AIuXxadMbWEqLeEcvk0t/f4NEAZqBPBe5zUXQ5j4RdU=,tag:ZcSoTaiDUKLPRuH0Q71RiA==,type:comment]
          targetPort: ENC[AES256_GCM,data:jxECO4M=,iv:RfvT6/Yaas4o88dsp4PRQ5aPzWXPic63jeZ2yJIO4n4=,tag:nRgw8cdTQ4GvVqBxBIMupg==,type:int]
          #ENC[AES256_GCM,data:NTuXce2oB6xL7GQxD5Xj39KtgNl/aHlwZMhOeF/CXJ+ThMaCnJ4cUjD/efL+UCR667CQG3w=,iv:LUyoV96Wv/OrTbyu7Wv0h9FsuAyvRap7hecw/X/PnNc=,tag:XPw/CfWL2EHPN1qt6OoT0A==,type:comment]
          name: ENC[AES256_GCM,data:rxIoKcKhkg==,iv:wrwBZ4OoWhPRhR3D69DPdAWCC3l81cxGCmwkBK87zqw=,tag:2z1swjacQB5iCT1FeTHJjg==,type:str]
          protocol: ENC[AES256_GCM,data:bx5B,iv:/Q21GmQ++E0q+1RW9zccxqAsFDOhZRCxM7GYI4lErKo=,tag:i9296BWu1NcRssjcWP7HRA==,type:str]
        - port: ENC[AES256_GCM,data:ti8ecw==,iv:fyTEg6TQO6jt7Y4EWliBbj1hxFh/sOcgek8ciUxuAiY=,tag:86hhpAAc9FWSY99MKTgWqg==,type:int]
          targetPort: ENC[AES256_GCM,data:UrbX1w==,iv:BADTHUGZo1BXo8JBhu7AYUB0C/ukAMmwaNW6uCsdZ1U=,tag:yxpKw2GNhFeZr5Zsyv9wDw==,type:int]
          name: ENC[AES256_GCM,data:DBux0/KiB/jve1GTTsQ=,iv:ao8LdWxRQPEp1lrmTiG9DS9ZjcXhH1aUpABIgljtVY8=,tag:o9sJ0tc8NZptQWHeGs9ISQ==,type:str]
        - port: ENC[AES256_GCM,data:uzM/Rg==,iv:nj2Wa4UuUXO3Q1xz55hJaXlNIiPiIvaI/WOAcHC3a18=,tag:ONq7TqDLNTHvg5yYFaLYoQ==,type:int]
          name: ENC[AES256_GCM,data:0rQqU5lNtoMF,iv:QcaTF47acMJxci33udgB9JFPNMGGRYpRjDtbLfozBM4=,tag:Lu2OIQuuRSmFCj11S2YJOw==,type:str]
          targetPort: ENC[AES256_GCM,data:ekatjg==,iv:4AxFNUQjZdeMWTDI3fZZ3ZxWPnsKRyopdiUQKSN2CXE=,tag:ET7XN5x09TOMonuhfnWQtA==,type:int]
          protocol: ENC[AES256_GCM,data:SU9a,iv:RQgisgZpVRB6owmthj1kMBH5jhsrHc5JwyEnJQqFT90=,tag:t8UgsNJVrZTK0UORTZI5IQ==,type:str]
        - port: ENC[AES256_GCM,data:hjiKoF8=,iv:hk9vPaEQbIZwrQHvw4aaUNYXZTcBfVIvBFhkPM4pcu4=,tag:vjn71yw8Usmdf+nMeqkoCA==,type:int]
          targetPort: ENC[AES256_GCM,data:6JybYQw=,iv:n14f+rrFoqHKu1gBjz4YlXnG4rzwkB6CImB4laJ0RIQ=,tag:hsuU1nHoP3tsAY65bcQ1/w==,type:int]
          name: ENC[AES256_GCM,data:K1EUuqiJQpM=,iv:Gmy0X1zvMZn3uF972aSiPd2caywDESqsZOIyMR/7nI4=,tag:J7duc839QgBmoP8LZ1tCWg==,type:str]
          protocol: ENC[AES256_GCM,data:vMd8,iv:KY3hys7PnKCP8YOpfkl0HtZlXbO3MKd1vOm3kelEbEQ=,tag:TlQuoAjFF7/HirDKl/lJIQ==,type:str]
    type: LoadBalancer
    loadBalancerIP: ENC[AES256_GCM,data:RJ2bkiUau2iTSYj1fA==,iv:wtshU23pH7O1dvksI5P4NqcqsBtZ8DnLW473auJq3YQ=,tag:LfqFOEftmqKDdUd1xY8yWw==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSAycEtYemh2ZG51YXozVDJY
            RTl0dUdEc2hQTHRUTkttSGJJZGVvZlFwV2xBCmtJbkhmV1p6eWdkTE1NQzcyL1Vz
            Vk44RjdkQXR3bXp5c1piZEt0aXUrMDgKLS0tIExBNW9nVzRpQ3hwbXlKZ0NVWWtp
            VmloYUVTSDlpU1hZdUZmTlgrdUN1eDAKLP/bEGvwCJ7YLy1ZLRJH7RYCac/3qrzB
            PYlazcQryFwkxHTbkRuA0jIa+3LjU/51xCjWcsOx/oi59qlneIt4tg==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:12Z"
    mac: ENC[AES256_GCM,data:pW2QCivtZI41c/F86H3MgQXEalB9afXKBRD6RLoxQSsoX5C9rr3yYAAMLa2eiN9RsK8GQmxgbmSfifWieHrzopwJJ/taROMnNprZfSK3B9e+ROTJNSUFMXk1fs0K+EixNJO7TnNDNS1tLY59+gODBIaLZjZ+gvTTv0QDZAkOg0c=,iv:2Uc/tmb2QGDlXTgMbIULIYsb+DLehYKXM4Hn2hHahZ8=,tag:QlmG5Fr2KLcxMgfWbm8M/A==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
